Skip to main content
API/Reference/Run a PDF operation
POST/api/v1/pdf

Run a PDF operation

Submit a supported PDF operation such as merge, split or optimization.

Authentication

API key

Scopes

jobs:create

Contract

API v1

Request

curl -X POST 'https://api.maxscanner.app/api/v1/pdf' \
  -H 'Authorization: Bearer $MAXSCANNER_API_KEY' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: unique-request-id' \
  -d '{ "operation": "compress", "sourceKeys": ["…"] }'

Request body

{ "operation": "compress", "sourceKeys": ["…"] }

Response

{ "jobId": "job_123", "status": "queued" }

Implementation notes

  • Large PDF operations should use asynchronous jobs.

Try this endpoint

Use the API Playground to authenticate and test safely before wiring the endpoint into your application.

Open Playground →